| Extracted from Pike v7.8 release 866 at 2018-02-09.

[Top]
Image
Image.ILBM

# Method Image.ILBM.decode()

Method decode

  `object decode(string data)`
  `object decode(array _decoded)`
  `object decode(array __decoded)`

Description

  Decodes ILBM data and creates an image object.

Returns

  the decoded image as an image object

Note

  This function may throw errors upon illegal ILBM data. This function uses __decode and _decode internally.

See also

  encode